probe::tcp.recvmsg
Prev | Chapter 13. Networking Tapset | Next

## Name

probe::tcp.recvmsg — Receiving TCP message

## Synopsis

    tcp.recvmsg

## Values

`dport`

  TCP destination port

`sport`

  TCP source port

`saddr`

  A string representing the source IP address

`daddr`

  A string representing the destination IP address

`family`

  IP address family

`name`

  Name of this probe

`sock`

  Network socket

`size`

  Number of bytes to be received

## Context

The process which receives a tcp message

Prev | Up | Next
probe::tcp.receive | Home | probe::tcp.recvmsg.return